@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'DM Sans', sans-serif;
    font-weight: 500;
}

body{
    background-color: #07080c;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    text-align: center;
}

.container{
    border: .5px solid #27282c;
    padding: 1.5rem;
    border-radius: 16px;
}

.modes{
    display: flex;
    gap: 1rem;
}

.modes button{
    border: none;
    background-color: transparent;
    color: #f9f9f7;
    font-size: 1rem;
    padding: .3rem 1.4rem;
    cursor: pointer;
    transition: all 0.3s ease;
    border-radius: 100px;
    outline: .5px solid transparent;
}

.modes button:hover{
    outline: .5px solid #27282c;
    background-color: transparent;
    color: #f9f9f7;
    cursor: pointer;
}

.active{
    background-color: #ebeae6 !important;
    border-radius: 100px !important;
    color: #07080c !important;
}

.timer__container{
    margin-top: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2.5rem;
}

.timer__container h1{
    font-size: 6rem;
    color: #f9f9f7;
}

.timer__container button{
    border: .5px solid #27282c;
    background-color: transparent;
    color: #f9f9f7;
    font-size: 1rem;
    padding: .3rem 1.4rem;
    border-radius: 100px;
    transition: all 0.3s ease;
    cursor: pointer;
}

.timer__container button:hover{
    background-color: #f9f9f7;
    color: #07080c;
}

@media (max-width: 470px){
    .container{
        padding: 1rem;
        border: none;
    }
}